Subject: Re: [PATCH net-next] net: usb: switch to two-argument strscpy

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Jan 2026 17:52:25 -0800

On Sun, 25 Jan 2026 19:50:15 -0800 Ethan Nelson-Moore wrote:
> All instances of strscpy in the USB network drivers use the size of the
> destination. If given only two arguments, strscpy will automatically
> use the size of the destination. Make the code more concise by
> switching to the two-argument form of strscpy.
> 
> Also add a blank line after a variable declaration in catc.c to adhere
> to kernel code style, since the surrounding code is being touched.

Let's not waste our time replacing all 3-arg strscpy()s with 2-arg right
after we wasted our time replacing strxcpy() with strscpy(). Who cares.
-- 
pw-bot: reject